commit:     911800c0fe06e2c32394d04a19af828257914bd6
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Tue May  2 08:18:47 2017 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Tue May  2 09:01:36 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=911800c0

app-emulation/xen-tools: check and emit failure message

'source' command may fail if the file not found

Gentoo-Bug: 616042
Package-Manager: Portage-2.3.5, Repoman-2.3.2

 app-emulation/xen-tools/xen-tools-4.7.2.ebuild | 4 ++--
 app-emulation/xen-tools/xen-tools-4.8.1.ebuild | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/app-emulation/xen-tools/xen-tools-4.7.2.ebuild 
b/app-emulation/xen-tools/xen-tools-4.7.2.ebuild
index 36614705a62..91fb13495b8 100644
--- a/app-emulation/xen-tools/xen-tools-4.7.2.ebuild
+++ b/app-emulation/xen-tools/xen-tools-4.7.2.ebuild
@@ -185,7 +185,7 @@ src_prepare() {
                EPATCH_SUFFIX="patch"
                EPATCH_FORCE="yes"
 
-               source "${WORKDIR}"/patches-security/${PV}.conf
+               source "${WORKDIR}"/patches-security/${PV}.conf || die
 
                for i in ${XEN_SECURITY_MAIN}; do
                        epatch "${WORKDIR}"/patches-security/xen/$i
@@ -215,7 +215,7 @@ src_prepare() {
        # Gentoo's patchset
        if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
                einfo "Try to apply Gentoo specific patch set"
-               source "${FILESDIR}"/gentoo-patches.conf
+               source "${FILESDIR}"/gentoo-patches.conf || die
                _gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
                for i in ${!_gpv}; do
                        EPATCH_SUFFIX="patch" \

diff --git a/app-emulation/xen-tools/xen-tools-4.8.1.ebuild 
b/app-emulation/xen-tools/xen-tools-4.8.1.ebuild
index 9133e5d6309..97abadec279 100644
--- a/app-emulation/xen-tools/xen-tools-4.8.1.ebuild
+++ b/app-emulation/xen-tools/xen-tools-4.8.1.ebuild
@@ -181,7 +181,7 @@ src_prepare() {
                EPATCH_SUFFIX="patch"
                EPATCH_FORCE="yes"
 
-               source "${WORKDIR}"/patches-security/${PV}.conf
+               source "${WORKDIR}"/patches-security/${PV}.conf || die
 
                for i in ${XEN_SECURITY_MAIN}; do
                        epatch "${WORKDIR}"/patches-security/xen/$i
@@ -211,7 +211,7 @@ src_prepare() {
        # Gentoo's patchset
        if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
                einfo "Try to apply Gentoo specific patch set"
-               source "${FILESDIR}"/gentoo-patches.conf
+               source "${FILESDIR}"/gentoo-patches.conf || die
                _gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
                for i in ${!_gpv}; do
                        EPATCH_SUFFIX="patch" \

Reply via email to